Inventory

Configure reorder policy

PATCH
/api/v1/inventory/items/{item_id}/policy

Configure reorder policy.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Path Parameters

item_id*string
Formatuuid

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

automatic_ordering_enabled?boolean|null
default_vendor_id?|
Formatuuid
expiry_tracking_enabled?boolean|null
maximum_stock?|
Range0 <= value
minimum_stock?|
Range0 <= value
reorder_point?|
Range0 <= value
reorder_quantity?|
Range0 <= value
reorder_strategy?|
Lengthlength <= 24

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/inventory/items/497f6eca-6276-4993-bfeb-53cbbbba6f08/policy" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {},  "meta": {},  "success": true}